---
kind: pipeline
type: ssh
name: deploy

server:
    host:
        from_secret: host
    user:
        from_secret: username
    ssh_key:
        from_secret: ssh_key

clone:
    disable: true

trigger:
    branch:
        - master

steps:
    - name: deploy
      commands:
          - cd /var/www/tilde.team
          - sudo -Hu www-data git fetch
          - sudo -Hu www-data git reset --hard origin/master
          - sudo -Hu www-data composer install

